function korelacni_analyza()

clear all;
close all;

format long e;

cyklus=load('Cyklus.csv');
figure(1);
plot(cyklus(10001:55000,3))
title('\bfCyklus zkoumání instrukce - EM signál','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

EMSig = (cyklus(1:end,3));
Cas = (cyklus(1:end,1));

% Předloha

%===================================%
%Instrukce ADDWF%
%===================================%
figure(2)
ADDWF = (EMSig(10001:12500))';
plot (ADDWF)
title('\bfInstrukce ADDWF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce XORWF%
%===================================%
figure(3);
XORWF = (EMSig(12501:15000))';
plot (XORWF)
title('\bfInstrukce XORWF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce MOVF%
%===================================%
figure(5);
MOVF = (EMSig(20001:22500))';
plot (MOVF)
title('\bfInstrukce MOVF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce MOVWF%
%===================================%
figure(6);
MOVWF = (EMSig(22501:25000))';
plot (MOVWF)
title('\bfInstrukce MOVWF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce DECFSZ%
%===================================%
figure(7);
DECFSZ = (EMSig(25001:27500))';
plot (DECFSZ)
title('\bfInstrukce DECFSZ','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce NOP%
%===================================%
figure(8);
NOP = (EMSig(27501:30000))';
plot (NOP)
title('\bfInstrukce NOP','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce INCFSZ%
%===================================%
figure(9);
INCFSZ = (EMSig(30001:32500))';
plot (INCFSZ)
title('\bfInstrukce INCFSZ','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce NOP(2)%
%===================================%
figure(10);
NOP2 = (EMSig(32501:35000))';
plot (NOP2)
title('\bfInstrukce NOP(2)','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce INCF%
%===================================%
figure(12);
INCF = (EMSig(40001:42500))';
plot (INCF)
title('\bfInstrukce INCF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce DECF%
%===================================%
figure(13);
DECF = (EMSig(42501:45000))';
plot (DECF)
title('\bfInstrukce DECF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

%===================================%
%Instrukce BCF%
%===================================%
figure(14);
BCF = (EMSig(45001:47500))';
plot (BCF)
title('\bfInstrukce BCF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)


%===================================%
%Instrukce BSF%
%===================================%
figure(16);
BSF = (EMSig(52501:55000))';
plot (BSF)
title('\bfInstrukce BSF','FontSize',16)
xlabel ('\rightarrow  n[-]','FontSize',12)
ylabel ('\rightarrow  U[V]','FontSize',12)

z=BSF;
%--------------------------------2.krok--------------------------------


[rADDWF,lags]=xcorr(ADDWF,z, 'coeff');
max(rADDWF)

[rXORWF,lags]=xcorr(XORWF,z, 'coeff');
max(rXORWF)

[rMOVF,lags]=xcorr(MOVF,z, 'coeff');
max(rMOVF)

[rMOVWF,lags]=xcorr(MOVWF,z, 'coeff');
max(rMOVWF)

[rDECFSZ,lags]=xcorr(DECFSZ,z, 'coeff');
max(rDECFSZ)

[rNOP,lags]=xcorr(NOP,z, 'coeff');
max(rNOP)

[rINCFSZ,lags]=xcorr(INCFSZ,z, 'coeff');
max(rINCFSZ)

[rNOP2,lags]=xcorr(NOP2,z, 'coeff');
max(rNOP2)

[rINCF,lags]=xcorr(INCF,z, 'coeff');
max(rINCF)

[rDECF,lags]=xcorr(DECF,z, 'coeff');
max(rDECF)

[rDECFSZ,lags]=xcorr(DECFSZ,z, 'coeff');
max(rDECFSZ)

[rBCF,lags]=xcorr(BCF,z, 'coeff');
max(rBCF)

[rBSF,lags]=xcorr(BSF,z, 'coeff');
max(rBSF)

v =[max(rADDWF) max(rXORWF) max(rMOVF) max(rMOVWF) max(rDECFSZ) max(rNOP) max(rINCFSZ) max(rNOP2) max(rINCF) max(rDECF) max(rBCF) max(rBSF) ]

ArrayOfRandomNumbers=v;
Sequence=ArrayOfRandomNumbers;
Sequence1=Sequence;
for counter=1:1:length(Sequence)-1
    for counter1=counter:-1:1
        if (Sequence(counter1+1)<Sequence(counter1))
            Sequence1(counter1)=Sequence(counter1+1);
            Sequence1(counter1+1)=Sequence(counter1);
            Sequence=Sequence1;
        end
    end
end
vy=Sequence1

% Výpis výsledku



if(max(rMOVF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresMOVF')
end;

if(max(rMOVWF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresMOVWF')
end;

if(max(rDECFSZ) == vy(1,12) ) 
    disp('Zadaná data odpovídají funkci oresDECFSZ')
end;

if(max(rNOP) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresNOP')
end;

if(max(rINCFSZ) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresINCFSZ')
end;

if(max(rNOP2) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresNOP2')
end;

if(max(rINCF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresINCF')
end;

if(max(rDECF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresDECF')
end;

if(max(rBCF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresBCF')
end;



if(max(rBSF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresBSF')
end;

if(max(rADDWF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresADDWF')
end;

if(max(rXORWF) == vy(1,12) ) 
    disp('Zadaná data odpovídají oresXORWF')
end;

end
